/*
 * WooCommerce adjustments
 * ======================================================== */

/*
 * Cart content in menu
 *
 */
.cart-contents {
    position: relative;
    display: flex !important;
    flex-flow: column nowrap;
    justify-content: center;
}
.cart-contents:before {
    font-family: 'FontAwesome';	
    content: "\f291" !important;
}
.cart-contents:hover {
    text-decoration: none;
}
.fa.fa-shopping-basket {
	font-weight: 600 !important;
}
.cart-contents-count {
	position: absolute;
    color: #fff;
    background: var(--color-accent);
    font-weight: bold;
    border-radius: 50%;
    padding: 1px 6px;
    line-height: 1.5;
    font-family: Arial, Helvetica, sans-serif;
    vertical-align: top;
    height: 17px; 
    width: 17px;
    transform: translateY(-50%) translateX(50%); 
    font-size: 10px;
}


/*
 * Button overwrites
 *--------------------------*/
.woocommerce a.button,
.woocommerce button.button,
.woocommerce input.button {
	border: 1px solid transparent; /* reset woocommerce border: 0 style */
}
.woocommerce #respond input#submit,
.woocommerce a.button,
.woocommerce button.button,
.woocommerce input.button,
.woocommerce .button.product_type_simple {
	padding: 0 30px;
	font-size: 13px;
	font-weight: 490;
	line-height: 42px;
	border-width: 2px;
	border-radius: 24px;
	height: auto;
}

.woocommerce #respond input#submit.alt,
.woocommerce a.button.alt,
.woocommerce button.button.alt,
.woocommerce input.button.alt {
	background-color: var(--color-accent);
}
.woocommerce #respond input#submit.alt:hover,
.woocommerce a.button.alt:hover,
.woocommerce button.button.alt:hover,
.woocommerce input.button.alt:hover {
	background-color: var(--color-black);
	color: #fff;
}


.woocommerce button.button.single_add_to_cart_button {
	height: 32px;
	padding: 0 30px;
	font-size: 12px;
	font-weight: 470;
	line-height: 31px;
	letter-spacing: 0.14rem;
}
/*
.woocommerce a.button.add_to_cart_button,
.woocommerce .button.product_type_simple {
	border-radius: 0;
	border: 1px solid #000;
	background-color: #fff;
	color: #000;
}
.woocommerce a.button.add_to_cart_button:hover,
.woocommerce .button.product_type_simple:hover {
	border-radius: 0;
	border: 1px solid #000;
	background-color: #000;
	color: #fff;
}
.woocommerce a.button.add_to_cart_button:before {
    display: inline-block;
    font: normal normal normal 14px/1 FontAwesome;
    font-size: inherit;
    text-rendering: auto;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
	content: "\f055";
	padding-right: 8px;
}
*/

/* reset disabled buttons */
.woocommerce #respond input#submit.disabled,
.woocommerce #respond input#submit:disabled,
.woocommerce #respond input#submit:disabled[disabled],
.woocommerce a.button.disabled,
.woocommerce a.button:disabled,
.woocommerce a.button:disabled[disabled],
.woocommerce button.button.disabled,
.woocommerce button.button:disabled,
.woocommerce button.button:disabled[disabled],
.woocommerce input.button.disabled,
.woocommerce input.button:disabled,
.woocommerce input.button:disabled[disabled] {
	padding: 0 30px;
}
/* reset big call buttons */
#add_payment_method .wc-proceed-to-checkout a.checkout-button,
.woocommerce-cart .wc-proceed-to-checkout a.checkout-button,
.woocommerce-checkout .wc-proceed-to-checkout a.checkout-button {
	padding: 0 30px;
	font-size: 1em;
}





.woocommerce div.product p.price,
.woocommerce div.product span.price {
	color: var(--color-primary);
	color: var(--color-grey-medium-alt);
	font-size: 21px;
	font-weight: 360;
}
.woocommerce .product .price .woocommerce-Price-amount {
	font-size: 25px;
	font-weight: 450;
}
.woocommerce .product .price .woocommerce-Price-amount .woocommerce-Price-currencySymbol {
	font-size: 19px;
	font-weight: 360;
	margin-right: 4px;
}
.woocommerce a.remove {
	text-decoration: none !important;
}

/* faux select boxes */
.woocommerce #content table.cart td.actions .input-text,
.woocommerce table.cart td.actions .input-text,
.woocommerce-page #content table.cart td.actions .input-text,
.woocommerce-page table.cart td.actions .input-text {
	min-width: 160px;
}
.select2-container .select2-selection--single {
	height: 38px;
}
.select2-container--default .select2-selection--single {
	border: 1px solid #D1D1D1;
}
.select2-container--default .select2-selection--single .select2-selection__rendered {
	color: inherit;
	line-height: 36px;
	font-size: 15px;
}
.select2-container--default .select2-selection--single .select2-selection__arrow {
	height: 36px;
}

.woocommerce-loop-product__link .price {
	display: block;
	padding-bottom: 0.5em;
	color: var(--color-grey-medium-alt);
	font-weight: 500;
}
 .woocommerce-Price-currencySymbol {
	padding-right: 5px;
}


/*
 * Hide stuff
 * (product list page)
 *--------------------------*/

.woocommerce-grouped-product-list-item__quantity {
	display:none;
}
.woocommerce-grouped-product-list-item__label {
	padding-left: 0 !important;
}
.woocommerce-grouped-product-list-item__price {
	text-align: right;
}
.woocommerce-grouped-product-list-item__price .subscription-details {
	font-size: 15px;
}
.woocommerce-grouped-product-list-item__price .woocommerce-Price-currencySymbol {
	font-size: 15px;
	padding-right: 5px;
}






#campernet_checkout_fields {
	margin-top: 30px;
}




/*
 * Hide stuff
 * (product detail page)
 *--------------------------*/
.single-product .product_meta .posted_in {
	display: none;
}
.woocommerce-tabs {
	display: none;
}
.single-product .post-nav {
	display: none;
}




/* Page campsite registration
   ----------------------------------- */
ul.campsite__registration--products-overview {
	display: flex;
	justify-content: center;
	list-style: none;
	gap: 20px;
	margin: 42px 0;
}
ul.campsite__registration--products-overview li {
	width: 80%;
	display: flex;
	flex-direction: column;
	justify-content: flex-start;
	align-items: flex-end;
	background: #fff;
	box-shadow: 0 10px 20px rgba(0,0,0,0.1);
	padding: 0 30px 20px 30px;
}
.campsite__registration--products-overview .woocommerce-loop-product__link {
	width: 100%;
	color: var(--font-default-text-color);
	text-decoration: none;
}
.campsite__registration--products-overview .woocommerce-loop-product__link > img {
	float: left;
	width: 40%;
	height: auto;
	margin-right: 10%;
}
.campsite__registration--products-overview .woocommerce-loop-product__link h2 {
	padding-top: 20px;
}
.campsite__registration--products-overview .woocommerce-loop-product__link:hover h2 {
	text-decoration: underline;
}
.campsite__registration--products-overview li a.button {
	width: 50%;
}
/* registration extra fields */
label[for="desired_url"],
label[for="employee_email"] {
	width: 100%;
}
.campernet-fields-class.form-row-wide label span.fw-reg {
	font-weight: 400;
}
.fw-reg,
.woocommerce .edit-account input + span em {
	display: block;
	font-weight: normal;
	color: var(--color-grey);
	font-size: 15px;
	line-height: 1.4;
	width: 100%;
	font-style: normal;
}
.woocommerce .edit-account input + span em {
	padding-top: 2px;
}
@media only screen and (max-width: 900px) {
	ul.campsite__registration--products-overview li {
		width: 100%;
	}
}
@media only screen and (max-width: 666px) {
	h2.woocommerce-loop-product__title {
		font-size: 3.2rem;
	}
}
@media only screen and (max-width: 550px) {
	ul.campsite__registration--products-overview li {
		display: block;
	}
	.campsite__registration--products-overview .woocommerce-loop-product__link > img {
		float: none;
		width: 80%;
		margin-right: 10%;
		margin-left: 10%;
	}
	.campsite__registration--products-overview li a.button {
		width: 100%;
		margin-top: 32px;
	}
}
/* tweak discount table */
.sar-table {
	width: 220px;
}
.sar-table th,
.sar-table td {
	padding-top: 10px 15px;
}
.sar-table th:first-child,
.sar-table td:first-child {
	display: none;
}
.sar-table td:last-child {
	text-align: right;
	padding-right: 15px;
}

.quantity-increment,
.quantity-decrement {
	display: inline-block;
	width: 24px;
	height: 32px;
	margin-right: 20px;
	margin-left: 6px;
	text-align: center;
	cursor: pointer;
	color: var(--color-accent);
}
.quantity-decrement {
	margin-right: 6px;
	margin-left: 0px;
}
.quantity-increment:active,
.quantity-increment:focus,
.quantity-decrement:active,
.quantity-decrement:focus {
	color: #000;
}
.quantity-decrement.disabled {
	color: var(--color-grey-medium);
	cursor: not-allowed;
}


/*
 * Validation styles
 *
 */
.woocommerce form .form-row.woocommerce-invalid label {
	color: red;
}
.woocommerce form .form-row.woocommerce-invalid .select2-container,
.woocommerce form .form-row.woocommerce-invalid input.input-text,
.woocommerce form .form-row.woocommerce-invalid select {
	border-color: red;
}
.woocommerce form .form-row.woocommerce-validated .select2-container,
.woocommerce form .form-row.woocommerce-validated input.input-text,
.woocommerce form .form-row.woocommerce-validated select {
	border-color: #76df29;
	border-color: var(--color-primary);
}



/* My account page
   ----------------------------------- */
.woocommerce-MyAccount-navigation ul {
	list-style: none;
	padding-left: 0;
}
.woocommerce-MyAccount-navigation ul li {
	padding-right: 50px;
}


.woocommerce-MyAccount-navigation ul a {
	display: block;
	text-decoration: none !important;
	background: var(--color-grey-light);
	padding: 1px 20px 1px 10px;
	border-radius: 4px;
	color: var(--color-primary);
	font-size: 16px;
}
.woocommerce-MyAccount-navigation ul a:hover,
.woocommerce-MyAccount-navigation ul li.is-active a {
	background: var(--color-primary);
	color: var(--color-white);
}
.woocommerce-MyAccount-navigation-link--downloads {
	display: none;
}
.woocommerce .woocommerce-MyAccount-content a.button,
.woocommerce .woocommerce-MyAccount-content button.button,
.woocommerce .woocommerce-MyAccount-content input.button {
	padding: 0 14px;
	font-size: 12px;
	line-height: 21px;
	border-width: 1px;
	border-radius: 24px;
	height: auto;
}




/*



.woocommerce-result-count,
.single-product article .date {
	display: none;
}
.single-product .post-nav {
	display: flex;
	justify-content: space-between;
}
.single-product .post-nav a {
	font-weight: 300;
	text-transform: uppercase;
	font-size: 13px;
	text-decoration: none;
}
.single-product .post-nav a:hover {
	font-weight: 400;
	text-decoration: none;
}
.woocommerce div.product .woocommerce-tabs ul.tabs li {
	border-radius: 0;
}
.woocommerce div.product .woocommerce-tabs ul.tabs li::after {
	border-bottom-left-radius: 0;
}
.woocommerce div.product .woocommerce-tabs ul.tabs li::before {
    border-bottom-right-radius: 0;
}
.woocommerce-loop-product__title {}

.woocommerce div.product .woocommerce-tabs ul.tabs li#tab-title-additional_information {
	display: none;
}
#tab-additional_information {
	display: none;
}



#tab-additional_information tr.woocommerce-product-attributes-item--attribute_pa_maat {
	display: none;
}


.woocommerce ul.products li.product .button {
	margin-top: 1em;
	margin-left: auto;
	margin-right: auto;
	display: block;
}



.woocommerce #respond input#submit,
.woocommerce a.button,
.woocommerce button.button,
.woocommerce input.button {
    border-radius: 0;
}


.woocommerce #respond input#submit.alt,
.woocommerce a.button.alt,
.woocommerce button.button.alt,
.woocommerce input.button.alt {
	background-color: rgba(65, 205, 215,1);
	border: 1px solid rgba(65, 205, 215,0);
	color: #fff;
}
.woocommerce #respond input#submit.alt:hover,
.woocommerce a.button.alt:hover,
.woocommerce button.button.alt:hover,
.woocommerce input.button.alt:hover {
    background-color: #fff;
	border: 1px solid rgba(65, 205, 215,1);
	color: rgba(65, 205, 215,1);

}
.single_add_to_cart_button:before{
    display: inline-block;
    font: normal normal normal 14px/1 FontAwesome;
    font-size: inherit;
    text-rendering: auto;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
	content: "\f055";
	padding-right: 8px;
}
.woocommerce .coupon {
	display: none;
}
#ship-to-different-address {
	font-size: 1.3rem;
}

.woocommerce .products .product.outofstock .woocommerce-loop-product__link {
	position: relative;
	display: inline-block;
}
.woocommerce .products .product.outofstock .woocommerce-loop-product__link:before {
	position: absolute;
	content: "verkocht";
	background: #000;
	display: inline-block;
	padding: 4px 10px;
	font-family: Lato;
	text-transform: uppercase;
	font-size: 10px;
	z-index: 2;
	right: 0;
	color: rgba(255,255,255,0.7);
	letter-spacing: 1px;
}




form.woocommerce-ordering {
	display: none;
}
.woocommerce #sidebar-extra {
	display: flex;
	flex-wrap: wrap;
	justify-content: flex-start;
	align-content: flex-start;
	align-items: flex-start;
	display: none;
}
.woocommerce #sidebar-extra > * {
	width: 25%;
}
@media only screen and (max-width: 800px) {
	.woocommerce #sidebar-extra > * {
		width: 50% !important;
	}
}
@media only screen and (max-width: 500px) {
	.woocommerce #sidebar-extra > * {
		width: 100% !important;
	}
}

.woocommerce .select2-container {
    z-index: 10;
}
*/

